# $Id: icc-module.spec,v 1.10 2002/10/02 23:41:52 tara Exp $
# This file is the basis for a binary Module RPM for Linux.

%define version 6.0
%define modules_prefix /opt/modulefiles

Summary: intel CC 6.0 module
Name: icc-module
Version: %{version}
Release: 8
Copyright: GPL
Group: Development/Languages
Source0: icc-module.tar.gz

Packager: Cray Inc 
Buildroot: %{_topdir}/icc-module-root 
Requires: modulesdev >= 3.1.6
Requires: intel-icc6

%description
provides a module file for the intel c compiler

%prep 
%setup -q -n icc-module

%build
mkdir -p $RPM_BUILD_ROOT
cp -r . $RPM_BUILD_ROOT

# to create the tcl files list, comment out tk in the install section above,
# then run "rpm -bi" then do a find from the build root directory,
# and remove the files in specific directories which suffice by themselves,
# then to create the files list for tk, uncomment tk, comment out tcl,
# then rm -rf $RPM_BUILD_ROOT then rpm --short-circuit -bi then redo a find,
# and remove the files in specific directories which suffice by themselves.
%files
%defattr(-,root,root)
%dir %{modules_prefix}/icc
%{modules_prefix}/icc/6.0
%{modules_prefix}/icc/.version

%post
    for FILE in $(find /opt/intel/compiler60/ia??/bin/ -regex '.*[ei][cf]p?c$\|.*cfg$\|.*pcl$\|.*vars[^/]*.c?sh$' 2> /dev/null) ; do
        sed s@\<INSTALLDIR\>@/opt/intel@g $FILE > ${FILE}.abs
        mv ${FILE}.abs $FILE
        chmod 755 $FILE
    done

    if [ ! -d /usr/intel ]; then
        mkdir /usr/intel
        ln -s /opt/intel/compiler60 /usr/intel/compiler60
        ln -s /opt/intel/compiler60/ia32 /usr/intel/ia32
    fi

  if ! grep -q '/opt/intel/compiler60/ia32/lib' /etc/ld.so.conf; then
    echo /opt/intel/compiler60/ia32/lib >>/etc/ld.so.conf
  fi
  /sbin/ldconfig


