# $Id: mpich-gm-intel-modules.spec,v 1.4 2002/10/02 23:42:01 tara Exp $
# This file is the basis for a binary Module RPM for Linux.

%define version 1.2.4..8
%define modules_prefix /opt/modulefiles

Summary: mpich module
Source0: mpich-gm-intel-module.tar.gz
Name: mpich-gm-intel-module
Version: %{version}
Release: 1
Copyright: GPL
Group: Development/Languages

Packager: Cray Inc 
Buildroot: %{_topdir}/%{name}-root
Requires: modulesdev >= 3.1.6
Requires: mpich-gm-intel = 1.2.4..8

%description
provides a module file for mpich built for the intel compilers

%prep
%setup -q -n mpich-gm-intel-module

%build
mkdir -p $RPM_BUILD_ROOT
cp -r . $RPM_BUILD_ROOT


# to create the tcl files list, comment out tk in the install section above,
# then run "rpm -bi" then do a find from the build root directory,
# and remove the files in specific directories which suffice by themselves,
# then to create the files list for tk, uncomment tk, comment out tcl,
# then rm -rf $RPM_BUILD_ROOT then rpm --short-circuit -bi then redo a find,
# and remove the files in specific directories which suffice by themselves.
%files
%defattr(-,root,root)
%dir %{modules_prefix}/mpich-gm-intel
%{modules_prefix}/mpich-gm-intel/1.2.4..8
%{modules_prefix}/mpich-gm-intel/.version
