# $Id: pbs-module.spec,v 1.4 2002/10/02 23:42:03 tara Exp $
# This file is the basis for a binary Module RPM for Linux.

%define version 5.2.1
%define modules_prefix /opt/modulefiles

Summary: pbs module
Name: pbs-module
Version: %{version}
Release: 1
Copyright: GPL
Group: Development/Languages
Source0: pbs-module.tar.gz

Packager: Cray Inc 
Buildroot: %{_topdir}/%{name}-root
Requires: modulesdev >= 3.1.6
Requires: maui >= 3.0.7 

%description
provides a module file for the intel c compiler

%prep
%setup -q -n pbs-module

%build
mkdir -p $RPM_BUILD_ROOT
cp -r . $RPM_BUILD_ROOT


# to create the tcl files list, comment out tk in the install section above,
# then run "rpm -bi" then do a find from the build root directory,
# and remove the files in specific directories which suffice by themselves,
# then to create the files list for tk, uncomment tk, comment out tcl,
# then rm -rf $RPM_BUILD_ROOT then rpm --short-circuit -bi then redo a find,
# and remove the files in specific directories which suffice by themselves.
%files
%defattr(-,root,root)
%dir %{modules_prefix}/pbs
%{modules_prefix}/pbs/5.2.1
%{modules_prefix}/pbs/.version
