# $Id: gcc-module.spec,v 1.8 2002/10/02 23:41:50 tara Exp $
# This file is the basis for a binary Module RPM for Linux.

%define version 3.2
%define modules_prefix /opt/modulefiles

Summary: gcc 3.2 modules
Name: gcc32-module
Version: %{version}
Release: 3
Copyright: GPL
Group: Development/Languages
Source0: gcc-module.tar.gz

Packager: Cray Inc 
Buildroot: %{_topdir}/gcc-module-root 
Requires: modulesdev >= 3.1.6
Requires: gcc32 = 3.2

%description
provides a module file for the intel c compiler

%prep 
%setup -q -n gcc-module

%build
mkdir -p $RPM_BUILD_ROOT
cp -r . $RPM_BUILD_ROOT

# to create the tcl files list, comment out tk in the install section above,
# then run "rpm -bi" then do a find from the build root directory,
# and remove the files in specific directories which suffice by themselves,
# then to create the files list for tk, uncomment tk, comment out tcl,
# then rm -rf $RPM_BUILD_ROOT then rpm --short-circuit -bi then redo a find,
# and remove the files in specific directories which suffice by themselves.
%files
%defattr(-,root,root)
%dir %{modules_prefix}/gcc
%{modules_prefix}/gcc/3.2
%{modules_prefix}/gcc/.version
